Bug 825154 - /usr/bin/rhts-backup and /usr/bin/rhts-restore doesn't preserve selinux context
/usr/bin/rhts-backup and /usr/bin/rhts-restore doesn't preserve selinux context
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: beah (Show other bugs)
0.5
Unspecified Unspecified
urgent Severity urgent (vote)
: 0.9.0
: ---
Assigned To: Bill Peck
: TestBlocker
Depends On:
Blocks: 593663
  Show dependency treegraph
 
Reported: 2012-05-25 05:04 EDT by Karel Srot
Modified: 2012-06-26 02:40 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 02:40:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Srot 2012-05-25 05:04:13 EDT
I am sorry if this bug is assigned to a wrong component. 


Description of problem:

/usr/bin/rhts-backup and /usr/bin/rhts-restore detects selinux by presence of /selinux directory. This is not true on RHEL7 and therefore these functions doesn't backup the context. As the result, restored directories/files gets wrong context.

This has been already fixed in beakerlib (bug 800906) using 
selinuxenabled && SELINUX=true || SELINUX=false
but we have several old tests that are still using these functions and it is hard to fix them all.

please fix ASAP, RHEL7 tier tests are failing on AVC denials and it is hard to review so many failing tests.

Version-Release number of selected component (if applicable):
rhts-test-env-4.48-1.el7.noarch
Comment 1 Zbysek MRAZ 2012-06-05 02:50:40 EDT
Any progress on this?
Comment 2 Karel Srot 2012-06-18 01:42:52 EDT
Seems that there is no will to fix this simple but annoying bug.
Comment 3 Ondrej Hudlicky 2012-06-19 15:47:36 EDT
Karel - target release for this fix is too far away, lets try to workaround using funny test as first task and force rewrite the backup/restore files. 
/CoreOS/examples/rhts_tutorial/psklenar/funny-test
Comment 4 Bill Peck 2012-06-19 15:57:47 EDT
Will try and pull this into 0.9.0 but need to verify this against all releases.
Comment 5 Ondrej Hudlicky 2012-06-19 16:22:31 EDT
thanks! we are ready to help with testing; using "selinuxenabled" is low risk as it is used by beakerlib and TPS as standard way to detect SELinux state, also on older RHEL releases.
Comment 6 Bill Peck 2012-06-19 17:16:52 EDT
http://gerrit.beaker-project.org/#/c/1148/
Comment 7 Dan Callaghan 2012-06-21 18:43:01 EDT
This is fixed in rhts-test-env-4.49-1 which is currently deployed on stage:

https://beaker-stage.engineering.redhat.com/
Comment 8 Dan Callaghan 2012-06-26 02:40:08 EDT
Beaker 0.9.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.